#ifndef __SPI_H
#define __SPI_H
#include <stdint.h>
#include <stdbool.h>
#include "stm32f10x.h"
#include "stm32f10x_gpio.h"
#include "board.h"

#define RF_SPI_MISO_Port                BOARD_PORT_SPI_MISO
#define RF_SPI_MISO_IO                  BOARD_PIN_SPI_MISO

#define RF_SPI_SCK_Port                 BOARD_PORT_SPI_CLK
#define RF_SPI_SCK_IO                   BOARD_PIN_SPI_CLK

#define RF_SPI_NSS_Port                 BOARD_PORT_SPI_CSN
#define RF_SPI_NSS_IO                   BOARD_PIN_SPI_CSN

void RF_SPI_NSS_H(void);
void RF_SPI_NSS_L(void);

void spi_init(void);
void SpiWrite(uint8_t byteToWrite);
uint8_t SpiRead(void);

#endif
